<ng-container [formGroup]="formGroup">
  <div class="my-2">

    <table class="table table-sm">
      <thead>
      <tr>
        <th class="text-center">Key</th>
        <th class="text-center">Value</th>
      </tr>
      </thead>
      <tbody>
      <tr *ngFor="let child of formArray.controls">
        <td>
          <input class="form-control" [formControl]="child.get('key') | toAny">
          <cms-validation-summarizer [instance]="child.get('key') | toAny"
                                     [label]="'Key'">
          </cms-validation-summarizer>
        </td>
        <td>
          <input class="form-control" [formControl]="child.get('value') | toAny">
          <cms-validation-summarizer [instance]="child.get('value') | toAny"
                                     [label]="'Value'">
          </cms-validation-summarizer>
        </td>
      </tr>
      </tbody>
    </table>


  </div>

  <button class="btn btn-outline-primary"
          type="button"
          (click)="doValidation()">
    Do validation
  </button>
</ng-container>
